### Method

# Gio DBusObjectManagerServer export_uniquely

since: 2.30

#### Declaration [src]

    void
    g_dbus_object_manager_server_export_uniquely (
      GDBusObjectManagerServer* manager,
      GDBusObjectSkeleton* object
    )

#### Description [src]

Like `g_dbus_object_manager_server_export()` but appends a string of the form _N (with N being a natural number) to `object`‘s object path if an object with the given path already exists. As such, the `GDBusObjectProxy:g-object-path` property of `object` may be modified.

Available since: 2.30

#### Parameters

`object`

  Type: `GDBusObjectSkeleton`

  An object.

  The data is owned by the caller of the function.